nitron

commit fedd2efedf7279a2ff70e89abb77831d68fe0371

Author: mesyeti <mesyeti@mesyeti.uk>

add steps for building£

 activate | 4 ++++
 build.sh | 15 +++++++++++++++


diff --git a/activate b/activate
index 479e4ae6325860b529e550fcbdb906aa9a1a0ecc..bb7600aca95141d5114975c1fa70e792016f7200 100644
--- a/activate
+++ b/activate
@@ -1 +1,5 @@
 export PATH="$(realpath out/bin):$PATH"
+export NITRON="$(realpath out)"
+export NITRON_BIN="$(realpath out/bin)"
+export NITRON_LIB="$(realpath out/lib)"
+export NITRON_SRC="$(realpath out/src)"




diff --git a/build.sh b/build.sh
index b55966e84bb22281d9bfcc8f3b3d422c4054e352..6042e6567d46a1ad9dbb0069ea2a3547c21de081 100755
--- a/build.sh
+++ b/build.sh
@@ -5,6 +5,7 @@ fi
 mkdir out
 mkdir out/bin
 mkdir out/lib
+mkdir out/src
 
 echo "=================="
 echo "= BASIC Compiler ="
@@ -18,5 +19,19 @@ 	exit
 fi
 cd ..
 mv basic/nitron-basic out/bin/
+
+echo "=================="
+echo "=   BASIC STD     ="
+echo "=================="
+cd basic-std
+make
+
+if [ $? -ne 0 ]; then
+	echo "Compilation failed"
+	exit
+fi
+cd ..
+mv basic-std/libstd.a out/lib
+cp -r basic-std/std out/src
 
 echo "Finished building nitron"